## alphacolor alphacolor |

## Types and Values

struct | GstAlphaColor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstAlphaColor

## Description

The alphacolor element does memory-efficient (in-place) colourspace conversion from RGBA to AYUV or AYUV to RGBA while preserving the alpha channel.

Sample pipeline:

    1
    2
    gst-launch-1.0 videotestsrc ! "video/x-raw,format=(fourcc)AYUV" ! \
      alphacolor ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | alphacolor
author | Wim Taymans <wim.taymans@gmail.com>
class | Filter/Converter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBA, BGRA, ARGB, ABGR, AYUV }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBA, BGRA, ARGB, ABGR, AYUV }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstAlphaColor

    struct GstAlphaColor;